<?php

namespace LakeDrops\DrupalConfig;

use Composer\Command\BaseCommand;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;

/**
 * Flush Cache Command for LakeDrops Drupal configurations.
 *
 * @package LakeDrops\DrupalConfig
 */
class FlushCacheCommand extends BaseCommand {

  /**
   * {@inheritdoc}
   */
  protected function configure(): void {
    parent::configure();
    $this
      ->setName('lakedrops:configuration:flush_cache')
      ->setDescription('Flush configuration cache.');
  }

  /**
   * {@inheritdoc}
   */
  protected function execute(InputInterface $input, OutputInterface $output): int {
    $count = 0;
    $cache_dir = Plugin::getCacheDir($this->requireComposer());
    if ($cache_dir === NULL) {
      return 1;
    }
    foreach (glob($cache_dir . '*') as $file) {
      if (is_file($file)) {
        unlink($file);
        $count++;
      }
    }
    $output->writeln('Deleted ' . $count . ' file(s).');
    return 0;
  }

}
